Subject: Re: Support for symbolic character names

From: [email-masked] (Walt Daniels)
Date: 19 Jan 1992 17:19:49 EST

>Yes, this has been done in SC2/WG2. They have just numbered them
>and then they use the number as the name.
>
>Keld
So 90% of the "symbolic" names are just codepoint numbers. Why not just
use the numbers for the rest of them and eliminate the European bias!

About the only characters that should appear in internationalized
programs as quoted constants are the C locale syntactic delimiter
characters which may appear in parsing. The rest should be coming from
locale databases. The syntactic characters can appear as themselves
with no "symbolic" encoding, e.g. ':'.

Why does this remind me of some obnoxious IBM coding standards
that prohibit literals in code and require EQU statements in ASM code :-).
ONE   EQU    1